#define TIVO_CALL(name)
#define TIVO_CALL2(name)
#define TIVO_CALL_STATIC(name)
#define TIVO_CALL_STATIC2(name)
#define TIVO_RETURN(name, value)
#define TIVO_RETURN2(name, value)
#define TIVO_CALLPOINT(name, subproc)
#define TIVO_CALLPOINT2(name, subproc)
#define TIVO_STATUS(func, message)
#define TIVO_STATUS2(func, message)

#ifdef DEBUG_TIVO_CALL
#undef TIVO_CALL
#define TIVO_CALL(name) printk(KERN_WARNING "%s:%d " name "\n", __FILE__, __LINE__)
#endif 

#ifdef DEBUG_TIVO_CALL_STATIC
#undef TIVO_CALL_STATIC 
#define TIVO_CALL_STATIC(name) printk(KERN_WARNING "%s:%d " name "\n", __FILE__, __LINE__)
#endif 

#ifdef DEBUG_TIVO_RETURN
#undef TIVO_RETURN
#define TIVO_RETURN(name, value) printk(KERN_WARNING "%s:%d return from " \
                                        name " with code " value "\n", \
                                        __FILE__, __LINE__)
#endif 

#ifdef DEBUG_TIVO_CALLPOINT
#undef TIVO_CALLPOINT
#define TIVO_CALLPOINT(name, subproc) printk(KERN_WARNING "%s:%d calling '" \
                                             subproc "' from '" name "'\n", \
                                             __FILE__, __LINE__)
#endif 

#ifdef DEBUG_TIVO_STATUS
#undef TIVO_STATUS
#define TIVO_STATUS(func, message) printk(KERN_WARNING "%s:%d " func " status '" message "'\n", __FILE__, __LINE__ )
#endif 


